Liblinphone: linphone::ParticipantDeviceIdentity Class Reference

Liblinphone 5.3.0

Public Member Functions | List of all members
linphone::ParticipantDeviceIdentity Class Reference

This object is only used on server side for ChatRoom with ChatRoom::Backend::FlexisipChat backend. More...

`#include <participant_device_identity.hh>`

Inheritance diagram for linphone::ParticipantDeviceIdentity:

## Public Member Functions
LINPHONECXX_PUBLIC | ParticipantDeviceIdentity (void *ptr, bool takeRef=true)
LINPHONECXX_PUBLIC _LinphoneParticipantDeviceIdentity * | cPtr ()
LINPHONECXX_PUBLIC std::shared_ptr< const linphone::Address > | getAddress () const
| Get the address of the participant device.
LINPHONECXX_PUBLIC LINPHONECXX_DEPRECATED std::string | getCapabilityDescriptor () const
| Get the capability descriptor (currently +org.linphone.specs value) for this participant device identity.
LINPHONECXX_PUBLIC LINPHONECXX_DEPRECATED void | setCapabilityDescriptor (const std::string &capabilityDescriptor)
| Set the capability descriptor (currently +org.linphone.specs value) for this participant device identity.
LINPHONECXX_PUBLIC void | setCapabilityDescriptor (const std::list< std::string > &capabilityDescriptorList)
| Set the capability descriptor (currently +org.linphone.specs value) for this participant device identity.
LINPHONECXX_PUBLIC std::list< std::string > | getCapabilityDescriptorList () const
| Get the capability descriptor (currently +org.linphone.specs value) for this participant device identity.

## Detailed Description

This object is only used on server side for ChatRoom with ChatRoom::Backend::FlexisipChat backend.

## Member Function Documentation

## ◆ getAddress()

LINPHONECXX_PUBLIC std::shared_ptr< const linphone::Address > linphone::ParticipantDeviceIdentity::getAddress | ( |  | ) | const

Get the address of the participant device.

Returns
  the address.

## ◆ getCapabilityDescriptor()

LINPHONECXX_PUBLIC LINPHONECXX_DEPRECATED std::string linphone::ParticipantDeviceIdentity::getCapabilityDescriptor | ( |  | ) | const

Get the capability descriptor (currently +org.linphone.specs value) for this participant device identity.

Returns
  the capability descriptor string.

Deprecated
  12/06/2023 Use getCapabilityDescriptorList() instead

## ◆ getCapabilityDescriptorList()

LINPHONECXX_PUBLIC std::list< std::string > linphone::ParticipantDeviceIdentity::getCapabilityDescriptorList | ( |  | ) | const

Get the capability descriptor (currently +org.linphone.specs value) for this participant device identity.

Returns
  the capability descriptor list.

## ◆ setCapabilityDescriptor() [1/2]

LINPHONECXX_PUBLIC void linphone::ParticipantDeviceIdentity::setCapabilityDescriptor | ( | const std::list< std::string > & | capabilityDescriptorList | ) |

Set the capability descriptor (currently +org.linphone.specs value) for this participant device identity.

Parameters

  capabilityDescriptorList | the capability descriptor list.

## ◆ setCapabilityDescriptor() [2/2]

LINPHONECXX_PUBLIC LINPHONECXX_DEPRECATED void linphone::ParticipantDeviceIdentity::setCapabilityDescriptor | ( | const std::string & | capabilityDescriptor | ) |

Set the capability descriptor (currently +org.linphone.specs value) for this participant device identity.

Parameters

  capabilityDescriptor | the capability descriptor string.

Deprecated
  12/06/2023 Use setCapabilityDescriptor() instead

The documentation for this class was generated from the following file:

- participant_device_identity.hh